summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-portage/kuroo/kuroo-1.0.0.ebuild')
-rw-r--r--app-portage/kuroo/kuroo-1.0.0.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/app-portage/kuroo/kuroo-1.0.0.ebuild b/app-portage/kuroo/kuroo-1.0.0.ebuild
new file mode 100644
index 00000000000..cff3675995b
--- /dev/null
+++ b/app-portage/kuroo/kuroo-1.0.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit ecm
+
+DESCRIPTION="Graphical Portage frontend based on KDE Frameworks"
+HOMEPAGE="https://sourceforge.net/projects/kuroo/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ dev-db/sqlite:3
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ kde-frameworks/kauth:5
+ kde-frameworks/kconfig:5
+ kde-frameworks/kconfigwidgets:5
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/ki18n:5
+ kde-frameworks/kio:5
+ kde-frameworks/kitemviews:5
+ kde-frameworks/knotifications:5
+ kde-frameworks/ktextwidgets:5
+ kde-frameworks/kwidgetsaddons:5
+ kde-frameworks/kxmlgui:5
+ kde-frameworks/threadweaver:5
+"
+RDEPEND="${DEPEND}
+ app-portage/gentoolkit
+ kde-apps/kompare:5
+ kde-plasma/kde-cli-tools:5[kdesu]
+"
+
+pkg_postinst() {
+ if ! has_version app-admin/logrotate ; then
+ elog "Installing app-admin/logrotate is recommended to keep"
+ elog "portage's summary.log size reasonable to view in the history page."
+ fi
+
+ ecm_pkg_postinst
+}